VERSION 5.00
Begin VB.Form frmEditDim 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Edit Dimension Text"
   ClientHeight    =   1320
   ClientLeft      =   8820
   ClientTop       =   5715
   ClientWidth     =   3285
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1320
   ScaleWidth      =   3285
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdApply 
      Caption         =   "Apply"
      Height          =   435
      Left            =   1785
      TabIndex        =   3
      Top             =   735
      Width           =   1275
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   435
      Left            =   210
      TabIndex        =   2
      Top             =   735
      Width           =   1275
   End
   Begin VB.TextBox txtDimText 
      Height          =   285
      Left            =   1470
      TabIndex        =   0
      Top             =   210
      Width           =   1485
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Dimension Text:"
      Height          =   225
      Left            =   210
      TabIndex        =   1
      Top             =   315
      Width           =   1170
   End
End
Attribute VB_Name = "frmEditDim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim objApp As Object



Private Sub cmdApply_Click()
    Dim SelSet As Object
    
    Set SelSet = objApp.ActiveDocument.SelectSet
    If SelSet.Count <> 1 Then
        MsgBox "You must select a single dimension.", , "Edit Dimension"
        Exit Sub
    Else
        ' Make sure selected object is a dimension
        If SelSet(1).Type <> igDimension Then
            MsgBox "You must select a single dimension.", , "Edit Dimension"
            Exit Sub
        Else
            SelSet(1).OverrideString = txtDimText.Text
            SelSet(1).Style.NTSSymbol = igDimStyleNTSNone
        End If
    End If
End Sub


Private Sub cmdCancel_Click()
    End
End Sub

Private Sub Form_Load()

    ' Connect to Solid Edge
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        MsgBox "Solid Edge must be running.", , "Edit Dimension"
        End
    End If
    
    ' Make sure Draft environment is running.
    If objApp.ActiveEnvironment <> "Detail" Then
        MsgBox "You must be in the Draft environment", , "Edit Dimension"
        End
    End If
    
    OnTop Me
    
End Sub


